AppTitle "IK Tools (c) flying_cucco 2007"

Global database_index, tcp, cookie$

Include "IK Tools Login.bb"
;Include "IK Tools Islands.bb"
Include "IK Tools Players.bb"
Include "IK Tools Playerstats.bb"
Include "IK Tools Playerislands.bb"
Include "IK Tools Alliances.bb"
Include "IK Tools Alliancestats.bb"
;Include "IK Tools Allianceicons.bb"
Include "IK Tools Database.bb"

;list of players
Type Player
	Field id
	Field name$
	Field islands
	Field score
	Field rank
	Field allianceid
	Field alliancetag$
End Type

;list of islands
Type Island
	Field ocean
	Field sector
	Field isle
	Field rulerid
	Field rulername$
	Field allianceid
	Field alliancetag$
End Type

;list of alliances
Type Alliance
	Field id
	Field tag$
	Field score
	Field rank
	Field members
	Field islands
End Type


;p.player=New player
;	p\id = 325
;	p\name$ = "flying_cucco"
;	p\islands = 27
;	p\score = 23837
;	p\rank = 57
;	p\allianceid = 113
;	p\alliancetag$ = "Mafia"
	
;a.alliance = New alliance
;	a\id = 113
;	a\tag$ = "Mafia"
;	a\score = 517343
;	a\rank = 6
;	a\members = 106



;get data
Print "This will take a LONG time -- be patient."
Print

;set longer (1 min) timeout because IK is SLOW!
TCPTimeouts 60000, 0

DatabaseIndex()

Print "logging in"
Login ("datamole", "fzcm64")

Print "Scanning alliances"
Alliances ()
Print "Deep scanning alliances"
Alliancestats ()
Print "Saving alliances"
SaveAlliances (database_index)
;LoadAlliances (database_index)
;Allianceicons ()

Print "Scanning players"
Players ()
Print "Deep scanning players"
Playerstats ()
Print "Saving players"
SavePlayers (database_index)
;LoadPlayers (database_index)

Print "Scanning islands"
Playerislands ()
Print "Saving islands"
SaveIslands (database_index)



;resave, alliance islands kludge
SaveAlliances (database_index)

file=WriteFile ("data\"+database_index+"-ok.txt")
WriteLine file,CurrentDate$() 
CloseFile file


ScanTime()

;reload tools server
;tcp = OpenTCPStream ("127.0.0.1", 80)
;WriteLine tcp, "GET /login?"
;WriteLine tcp, ""




End